/*****************************************************************************/
/*                                                                           */
/*                           OCO SOURCE MATERIALS                            */
/*                             IBM CONFIDENTIAL                              */
/*                                    OR                                     */
/*                        IBM CONFIDENTIAL RESTRICTED                        */
/*            WHEN COMBINED WITH THE AGGREGATED OCO SOURCE MODULES           */
/*                           FOR THIS PROGRAM PRODUCT                        */
/*                                                                           */
/*      VisualAge Generator Server for OS/2, AIX, HP-UX, and Windows NT      */
/*                          Version 3.0  5697-C28                            */
/*                    (C) COPYRIGHT IBM CORP. 1994,1997                      */
/*                                                                           */
/*****************************************************************************/
#ifndef FCWDBCS_H
#define FCWDBCS_H

extern void * fcw_strncpy(char *m1, const char *m2, const int& len);
extern void * fcw_memcpy(char *m1, const char *m2, const int& len);
extern int fcw_memcmp(char *m1, const char *m2, const int& len);

extern void * fcw_strncpy(void *m1, const char *m2, const int& len);
extern void * fcw_memcpy(void *m1, const char *m2, const int& len);
extern int fcw_memcmp(void *m1, const char *m2, const int& len);

extern void * fcw_strncpy(char *m1, const void *m2, const int& len);
extern void * fcw_memcpy(char *m1, const void *m2, const int& len);
extern int fcw_memcmp(char *m1, const void *m2, const int& len);

extern void * fcw_strncpy(void *m1, const void *m2, const int& len);
extern void * fcw_memcpy(void *m1, const void *m2, const int& len);
extern int fcw_memcmp(void *m1, const void *m2, const int& len);

#endif
